From 6cfd9c30445f916743565c4b879bd8235f90333b Mon Sep 17 00:00:00 2001
From: Yuxuan Shui <yshuiv7@gmail.com>
Date: Tue, 25 Jun 2019 10:37:49 +0100
Subject: [PATCH] New package: libglvnd-1.1.1

---
 common/shlibs                  |  7 +++++++
 srcpkgs/libglvnd/files/LICENSE | 26 ++++++++++++++++++++++++++
 srcpkgs/libglvnd/template      | 21 +++++++++++++++++++++
 3 files changed, 54 insertions(+)
 create mode 100644 srcpkgs/libglvnd/files/LICENSE
 create mode 100644 srcpkgs/libglvnd/template

diff --git a/common/shlibs b/common/shlibs
index 433add7d202..8a63bc67e99 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -118,7 +118,9 @@ libXrender.so.1 libXrender-0.9.4_1
 libXrandr.so.2 libXrandr-1.3.0_1
 libGLU.so.1 glu-9.0.0_1
 libEGL.so.1 libEGL-7.11_1
+libEGL.so.1 libglvnd-1.1.1_1
 libGLESv1_CM.so.1 libGLES-1.0_1
+libGLESv1_CM.so.1 libglvnd-1.1.1_1
 libGLESv2.so.2 libGLES-1.0_1
 libEGL.so rpi-userland-0.0.0.0.20150907_1
 libGLESv2.so rpi-userland-0.0.0.0.20150907_1
@@ -129,11 +131,16 @@ libGLESv2.so riot-desktop-0.17.9_2
 libGLESv2.so wire-desktop-3.6.2885_1
 libGLESv2.so Signal-Desktop-1.23.2_1
 libGLESv2.so slack-desktop-3.4.2_1
+libGLESv2.so.2 libglvnd-1.1.1_1
 libbrcmEGL.so rpi-userland-20180103_2
 libbrcmGLESv2.so rpi-userland-20180103_2
 libbrcmOpenVG.so rpi-userland-20180103_2
 libwayland-egl.so.1 wayland-1.15.0_4
 libGL.so.1 libGL-7.11_1
+libGL.so.1 libglvnd-1.1.1_1
+libGLX.so.0 libglvnd-1.1.1_1
+libGLdispatch.so.0 libglvnd-1.1.1_1
+libOpenGL.so.0 libglvnd-1.1.1_1
 libnvidia-ml.so.1 nvidia-libs-346.47_1 ignore
 libnvidia-ml.so.1 nvidia304-libs-304.00_1 ignore
 libnvidia-ml.so.1 nvidia340-libs-340.46_1 ignore
diff --git a/srcpkgs/libglvnd/files/LICENSE b/srcpkgs/libglvnd/files/LICENSE
new file mode 100644
index 00000000000..57bc4f48f8b
--- /dev/null
+++ b/srcpkgs/libglvnd/files/LICENSE
@@ -0,0 +1,26 @@
+Copyright (c) 2013, NVIDIA CORPORATION.
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of this software and/or associated documentation files (the
+"Materials"), to deal in the Materials without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Materials, and to
+permit persons to whom the Materials are furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be included
+unaltered in all copies or substantial portions of the Materials.
+Any additions, deletions, or changes to the original source files
+must be clearly indicated in accompanying documentation.
+
+If only executable code is distributed, then the accompanying
+documentation must state that "this software is based in part on the
+work of the Khronos Group."
+
+THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
+CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
+TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.
\ No newline at end of file
diff --git a/srcpkgs/libglvnd/template b/srcpkgs/libglvnd/template
new file mode 100644
index 00000000000..6be698d4206
--- /dev/null
+++ b/srcpkgs/libglvnd/template
@@ -0,0 +1,21 @@
+# Template file for 'libglvnd'
+pkgname=libglvnd
+version=1.1.1
+revision=1
+build_style=gnu-configure
+hostmakedepends="autoconf libtool automake pkg-config python"
+makedepends="libXext-devel libX11-devel xorgproto"
+short_desc="GL Vendor-Neutral Dispatch library"
+maintainer="Yuxuan Shui <yshuiv7@gmail.com>"
+license="custom"
+homepage="https://github.com/NVIDIA/libglvnd"
+distfiles="https://github.com/NVIDIA/libglvnd/archive/v$version.tar.gz"
+checksum=baca5e1a78b96a112650cdc597be3f856d4754eb73a7bf3f6629e78a7e9f2b5a
+
+pre_configure() {
+	./autogen.sh
+}
+
+post_install() {
+	vlicense ${FILESDIR}/LICENSE
+}
